
Redmine - Patch #1635

Plural form for ru.yml

2008-07-14 12:58 - Azamat Hackimov

Status: Closed Start date: 2008-07-14

Priority: Normal Due date:  

Assignee: Azamat Hackimov % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version: 0.8   

Description

According GLoc documentation plural form string for russian language should be

_gloc_rule_default: '|n| n10=n%10; n100=n%100; (n10==1 && n100!=11) ? "_1" : (n10>=2 && n10<=4 && (n100<10 || n100>=20) ?

"_2" : "_5") '

Patch included.

Related issues:

Related to Redmine - Patch #12645: Russian numeric translation Closed

Associated revisions

Revision 1813 - 2008-09-13 18:30 - Azamat Hackimov

fixed #1635, merged changes to trunk, sorting all strings

Revision 1842 - 2008-09-14 17:34 - Nicolas Chuche

r18549@gaspard (orig r1813):  winterheart | 2008-09-13 18:30:03 +0200

fixed #1635, merged changes to trunk, sorting all strings

History

#1 - 2008-07-14 14:25 - Azamat Hackimov

Or :)

_gloc_rule_default: '|n| n10=n%10; n100=n%100; (n10==1 && n100!=11) ? "" : (n10>=2 && n10<=4 && (n100<10 || n1

00>=20) ? "_plural2" : "_plural5") '

 I have not tested properly.

#2 - 2008-07-15 19:48 - Azamat Hackimov

One quesion. How to refresh .yml file with new gloc rule?

#3 - 2008-07-18 18:19 - Azamat Hackimov

- File ru.yml.patch added

Patch to r1675, including fixes, spelling and plural forms.

#4 - 2008-07-22 16:14 - Azamat Hackimov

- File ru.yml.patch added

- Target version set to 0.8

Patch to r1684.

Added missed plural form and localized time and date format

#5 - 2008-07-26 22:23 - Azamat Hackimov

- File ru.yml.patch added

2025-05-17 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/1675
https://www.redmine.org/projects/redmine/repository/svn/revisions/1684


patch to r1699 with new string

#6 - 2008-08-05 19:38 - Azamat Hackimov

- File ru.yml.patch added

patch to r1715 with new string

#7 - 2008-09-07 20:49 - Azamat Hackimov

- File ru.yml.patch added

- Assignee set to Jean-Philippe Lang

patch to r1787

#8 - 2008-09-13 20:14 - Azamat Hackimov

- Status changed from New to Closed

- Assignee changed from Jean-Philippe Lang to Azamat Hackimov

- % Done changed from 0 to 100

Files

ru.yml.patch 534 Bytes 2008-07-14 Azamat Hackimov

ru.yml.patch 29.4 KB 2008-07-18 Azamat Hackimov

ru.yml.patch 30.7 KB 2008-07-22 Azamat Hackimov

ru.yml.patch 31.4 KB 2008-07-26 Azamat Hackimov

ru.yml.patch 31.5 KB 2008-08-05 Azamat Hackimov

ru.yml.patch 32.1 KB 2008-09-07 Azamat Hackimov
